Summary:	ROSA Desktop Fresh look and feel for Plasma 5
Name:		plasma5-look-and-feel-rosa-fresh
Version:	1.0
Release:	0.21
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://rosalinux.com/
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	extra-cmake-modules
BuildRequires:	plasma5-look-and-feel-breeze
Requires:	plasma5-color-scheme-rosa
Requires:	rosa-icons
Requires:	plasma5-desktoptheme-rosa-fresh
Provides:	plasma5-look-and-feel-default = %{EVRD}
BuildArch:	noarch

%description
ROSA Desktop Fresh look and feel for Plasma 5.

%files
%dir %{_kde5_datadir}/plasma/look-and-feel/org.rosa.fresh.desktop/
%{_kde5_datadir}/plasma/look-and-feel/org.rosa.fresh.desktop/*
%{_kde5_services}/plasma-lookandfeel-org.rosa.fresh.desktop.desktop

#----------------------------------------------------------------------------

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_kde5_datadir}/plasma/look-and-feel/
cp -r org.rosa.fresh.desktop %{buildroot}%{_kde5_datadir}/plasma/look-and-feel/
mkdir -p %{buildroot}%{_kde5_services}/
install -m 0644 org.rosa.fresh.desktop/metadata.desktop %{buildroot}%{_kde5_services}/plasma-lookandfeel-org.rosa.fresh.desktop.desktop

# Copy some parts of Breeze (lockscreen etc)
mkdir -p %{buildroot}%{_kde5_datadir}/plasma/look-and-feel/org.rosa.fresh.desktop/contents/components/
cp %{_kde5_datadir}/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/*.qml \
   %{buildroot}%{_kde5_datadir}/plasma/look-and-feel/org.rosa.fresh.desktop/contents/components/
mkdir -p %{buildroot}%{_kde5_datadir}/plasma/look-and-feel/org.rosa.fresh.desktop/contents/lockscreen/
cp %{_kde5_datadir}/plasma/look-and-feel/org.kde.breeze.desktop/contents/lockscreen/*.qml \
   %{buildroot}%{_kde5_datadir}/plasma/look-and-feel/org.rosa.fresh.desktop/contents/lockscreen/
mkdir -p %{buildroot}%{_kde5_datadir}/plasma/look-and-feel/org.rosa.fresh.desktop/contents/osd/
cp %{_kde5_datadir}/plasma/look-and-feel/org.kde.breeze.desktop/contents/osd/*.qml \
   %{buildroot}%{_kde5_datadir}/plasma/look-and-feel/org.rosa.fresh.desktop/contents/osd/
mkdir -p %{buildroot}%{_kde5_datadir}/plasma/look-and-feel/org.rosa.fresh.desktop/contents/splash/
cp %{_kde5_datadir}/plasma/look-and-feel/org.kde.breeze.desktop/contents/splash/*.qml \
   %{buildroot}%{_kde5_datadir}/plasma/look-and-feel/org.rosa.fresh.desktop/contents/splash/


%changelog

* Thu Jul 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.21
- (f187d63) Update preview images
- (f187d63) Use ROSA logo for splash screen


